* { margin: 0; padding: 0; box-sizing: border-box; }
html, body { 
  height: 100%; 
  font-family: "Dancing Script", "Brush Script MT", cursive;
}

body {
  box-sizing: border-box;
  background-image: url("../pic/lilysurrender-portrait.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: #2f0c17;
  border: 0px;
  resize: both;
  overflow: auto;
}

a {
  text-shadow: 1px 1px 20px #ea5488;
  font-size: 30px;
  background: rgba(20, 5, 10, 0.9);
  border-radius: 10px;
  padding: 5px 20px 5px 20px;
}

a:link {
  color: #ea5488;
}

a:hover {
  color: #ff5c95 !important;
  text-shadow: 1px 1px 30px #ff5c95;
}

a:visited {
  color: #7d2946;
}

.inline-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  gap: 15px;
  margin: 5px;
}

.inline-link img {
  height: 1em;
  width: auto;
}

.links {
  position:absolute;
  bottom: 10px;
  right: auto;
  top: auto;
  left: 30px;
  display: flex;
  flex-direction: column;
}

.lily {
  font-weight: 700;
  text-align: center;
  position: absolute;
  top: 10px;
  width: 100%;
  font-style: bold, italic;
  font-size: 50px;
  letter-spacing: 1px;
  color: #ea5488;
  text-shadow: 1px 1px 20px #2f0c17;
  padding: 20px;
  padding-left: 40px;
  padding-right: 40px;
}

/* desktop */
@media(orientation: landscape) {
  body {
    background-image: url("../pic/lilysurrender-1920.jpg");
  }

  a {
    font-size: 40px;
  }

  .lily {
    font-size: 80px;
    bottom: 60px;
    top: auto;
    color: #2f0c17;
    text-shadow: 1px 1px 20px #ea5488;
  }

  .links {
    flex-direction: column;
    bottom: auto;
    right: auto;
    top: 80px;
    left: 100px;
  }

  a {
    background: rgba(20, 5, 10, 0.6);
  }
}
